Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.wsdl
Class WsdlUtils

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.wsdl.WsdlUtils

    public class WsdlUtils

extends java.lang.Object

Wsdl-related tools

Author:
  Ole.Matzura

Nested Class Summary
`static class` | `WsdlUtils.Soap11Header` SOAP 1.1 Header implementation
`static class` | `WsdlUtils.Soap12Header` SOAP 1.2 Header implementation
`static interface` | `WsdlUtils.SoapHeader` A SOAP-Header wrapper

Constructor Summary
`WsdlUtils()`

Method Summary
`static javax.wsdl.Binding` | `findBindingForOperation(javax.wsdl.Definition definition, javax.wsdl.BindingOperation bindingOperation)`
`static javax.wsdl.extensions.mime.MIMEContent[]` | `getContentParts(javax.wsdl.Part part, javax.wsdl.extensions.mime.MIMEMultipartRelated multipart)`
`static java.lang.String[]` | `getEndpointsForBinding(javax.wsdl.Definition definition, javax.wsdl.Binding binding)`
`static
`<T extends javax.wsdl.extensions.ExtensibilityElement> T`
` | `getExtensiblityElement(java.util.List list, java.lang.Class<T> clazz)`
`static
`<T extends javax.wsdl.extensions.ExtensibilityElement> java.util.List<T>`
` | `getExtensiblityElements(java.util.List list, java.lang.Class<T> clazz)`
`static javax.wsdl.Part[]` | `getFaultParts(javax.wsdl.BindingOperation bindingOperation, java.lang.String faultName)`
`static javax.wsdl.extensions.mime.MIMEContent[]` | `getInputMultipartContent(javax.wsdl.Part part, javax.wsdl.BindingOperation operation)`
`static javax.wsdl.Part[]` | `getInputParts(javax.wsdl.BindingOperation operation)` Returns a list of parts for the specifed operation, either as specified in body or all
`static javax.wsdl.extensions.mime.MIMEContent[]` | `getOutputMultipartContent(javax.wsdl.Part part, javax.wsdl.BindingOperation operation)`
`static javax.wsdl.Part[]` | `getOutputParts(javax.wsdl.BindingOperation operation)`
`static org.apache.xmlbeans.SchemaGlobalElement` | `getSchemaElementForPart(WsdlContext wsdlContext, javax.wsdl.Part part)`
`static org.apache.xmlbeans.SchemaType` | `getSchemaTypeForPart(WsdlContext wsdlContext, javax.wsdl.Part part)`
`static java.lang.String` | `getSoapAction(javax.wsdl.BindingOperation operation)`
`static java.lang.String` | `getSoapBodyNamespace(java.util.List list)`
`static java.lang.String` | `getSoapEndpoint(javax.wsdl.Port port)`
`static java.util.List<WsdlUtils.SoapHeader>` | `getSoapHeaders(java.util.List list)`
`static boolean` | `isAttachmentInputPart(javax.wsdl.Part part, javax.wsdl.BindingOperation operation)`
`static boolean` | `isAttachmentOutputPart(javax.wsdl.Part part, javax.wsdl.BindingOperation operation)`
`static boolean` | `isInputSoapEncoded(javax.wsdl.BindingOperation bindingOperation)`
`static boolean` | `isMultipartRequest(javax.wsdl.Definition definition, javax.wsdl.BindingOperation bindingOperation)`
`static boolean` | `isOutputSoapEncoded(javax.wsdl.BindingOperation bindingOperation)`
`static boolean` | `isRpc(javax.wsdl.Binding binding)`
`static boolean` | `isRpc(javax.wsdl.Definition definition, javax.wsdl.BindingOperation bindingOperation)`
`static javax.wsdl.Definition` | `readDefinition(java.lang.String wsdlUrl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlUtils

    public WsdlUtils()

Method Detail

### getExtensiblityElement

    public static <T extends javax.wsdl.extensions.ExtensibilityElement> T getExtensiblityElement(java.util.List list,
                                                                                                  java.lang.Class<T> clazz)

### getExtensiblityElements

    public static <T extends javax.wsdl.extensions.ExtensibilityElement> java.util.List<T> getExtensiblityElements(java.util.List list,
                                                                                                                   java.lang.Class<T> clazz)

### getSoapAction

    public static java.lang.String getSoapAction(javax.wsdl.BindingOperation operation)

### getEndpointsForBinding

    public static java.lang.String[] getEndpointsForBinding(javax.wsdl.Definition definition,
                                                            javax.wsdl.Binding binding)

### findBindingForOperation

    public static javax.wsdl.Binding findBindingForOperation(javax.wsdl.Definition definition,
                                                             javax.wsdl.BindingOperation bindingOperation)

### isInputSoapEncoded

    public static boolean isInputSoapEncoded(javax.wsdl.BindingOperation bindingOperation)

### isOutputSoapEncoded

    public static boolean isOutputSoapEncoded(javax.wsdl.BindingOperation bindingOperation)

### isRpc

    public static boolean isRpc(javax.wsdl.Definition definition,
                                javax.wsdl.BindingOperation bindingOperation)

### isRpc

    public static boolean isRpc(javax.wsdl.Binding binding)

### getInputParts

    public static javax.wsdl.Part[] getInputParts(javax.wsdl.BindingOperation operation)

  Returns a list of parts for the specifed operation, either as specified in body or all

### isAttachmentInputPart

    public static boolean isAttachmentInputPart(javax.wsdl.Part part,
                                                javax.wsdl.BindingOperation operation)

### isAttachmentOutputPart

    public static boolean isAttachmentOutputPart(javax.wsdl.Part part,
                                                 javax.wsdl.BindingOperation operation)

### getOutputMultipartContent

    public static javax.wsdl.extensions.mime.MIMEContent[] getOutputMultipartContent(javax.wsdl.Part part,
                                                                                     javax.wsdl.BindingOperation operation)

### getInputMultipartContent

    public static javax.wsdl.extensions.mime.MIMEContent[] getInputMultipartContent(javax.wsdl.Part part,
                                                                                    javax.wsdl.BindingOperation operation)

### getContentParts

    public static javax.wsdl.extensions.mime.MIMEContent[] getContentParts(javax.wsdl.Part part,
                                                                           javax.wsdl.extensions.mime.MIMEMultipartRelated multipart)

### getFaultParts

    public static javax.wsdl.Part[] getFaultParts(javax.wsdl.BindingOperation bindingOperation,
                                                  java.lang.String faultName)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getOutputParts

    public static javax.wsdl.Part[] getOutputParts(javax.wsdl.BindingOperation operation)

### isMultipartRequest

    public static boolean isMultipartRequest(javax.wsdl.Definition definition,
                                             javax.wsdl.BindingOperation bindingOperation)

### getSoapEndpoint

    public static java.lang.String getSoapEndpoint(javax.wsdl.Port port)

### getSoapBodyNamespace

    public static java.lang.String getSoapBodyNamespace(java.util.List list)

### getSoapHeaders

    public static java.util.List<WsdlUtils.SoapHeader> getSoapHeaders(java.util.List list)

### readDefinition

    public static javax.wsdl.Definition readDefinition(java.lang.String wsdlUrl)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSchemaTypeForPart

    public static org.apache.xmlbeans.SchemaType getSchemaTypeForPart(WsdlContext wsdlContext,
                                                                      javax.wsdl.Part part)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSchemaElementForPart

    public static org.apache.xmlbeans.SchemaGlobalElement getSchemaElementForPart(WsdlContext wsdlContext,
                                                                                  javax.wsdl.Part part)
                                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.